summaryrefslogtreecommitdiffstats
path: root/libraries/libnet/libnet.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libnet/libnet.SlackBuild')
-rw-r--r--libraries/libnet/libnet.SlackBuild88
1 files changed, 31 insertions, 57 deletions
diff --git a/libraries/libnet/libnet.SlackBuild b/libraries/libnet/libnet.SlackBuild
index 961357a46a..9674a85d47 100644
--- a/libraries/libnet/libnet.SlackBuild
+++ b/libraries/libnet/libnet.SlackBuild
@@ -1,89 +1,63 @@
#!/bin/sh
-# Copyright 2006, Alan Hicks, Lizella, GA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+set -e
-# Modified by the SlackBuilds.org project
+# Slackbuild for lidnet
+# Joe Rozner livinded@deabytes.net
+# Wednesday 08/22/2007
PRGNAM=libnet
VERSION=1.1.2.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/pkg-$PRGNAM
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
+ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-# libnet is one of those braindead source tarballs that lacks
-# the version. We'll fix that for consistency with other
-# slackbuilds.org scripts.
-mv $PRGNAM $PRGNAM-$VERSION || exit 1
-cd $PRGNAM-$VERSION || exit 1
-
-# Fix ownership and permissions inside the source tarball.
-# It's appalling how many projects have 777 permissions or
-# even suid, sgid, and sticky bits set on things.
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r,a-s .
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+ ./configure \
--prefix=/usr \
- || exit 1
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
-make || exit 1
-make prefix=$PKG/usr install || exit 1
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+cp -a README VERSION doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/CVS
-# More libnet brain-deadness
-cp -a doc/man $PKG/usr
-rm -fr $PKG/usr/man/CVS \
- $PKG/usr/doc/$PRGNAM-$VERSION/CVS \
- $PKG/usr/doc/$PRGNAM-$VERSION/man
-
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
- )
-fi
+mv $PKG/usr/doc/$PRGNAM-$VERSION/man/ $PKG/usr/
+rm -rf $PKG/usr/man/CVS # WTH is this?
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz